Debian Bug report logs - #595040
unnecessary dependency on ufsutils

version graph

Package: freebsd-utils; Maintainer for freebsd-utils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for freebsd-utils is src:freebsd-utils.

Reported by: Robert Millan <rmh@debian.org>

Date: Tue, 31 Aug 2010 16:27:04 UTC

Severity: normal

Found in version freebsd-utils/8.1-2

Fixed in version freebsd-utils/8.2-1

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, rmh@debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#595040; Package freebsd-utils. (Tue, 31 Aug 2010 16:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
New Bug report received and forwarded. Copy sent to rmh@debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 31 Aug 2010 16:27:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unnecessary dependency on ufsutils
Date: Tue, 31 Aug 2010 18:25:37 +0200
Package: freebsd-utils
Version: 8.1-2
Severity: normal

Dependency on ufsutils is unnecessary, and makes ufsutils de-facto Essential.

partman-ufs already installs ufsutils when an UFS filesystem has been
configured:

partman-ufs-4/finish.d/aptinstall_ufs:  apt-install ufsutils || true

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=ca_AD.UTF-8, LC_CTYPE=ca_AD.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Added tag(s) pending. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sun, 29 May 2011 20:09:04 GMT) Full text and rfc822 format available.

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Tue, 07 Jun 2011 06:36:04 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@debian.org>:
Bug acknowledged by developer. (Tue, 07 Jun 2011 06:36:04 GMT) Full text and rfc822 format available.

Message #12 received at 595040-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 595040-close@bugs.debian.org
Subject: Bug#595040: fixed in freebsd-utils 8.2-1
Date: Tue, 07 Jun 2011 06:33:01 +0000
Source: freebsd-utils
Source-Version: 8.2-1

We believe that the bug you reported is fixed in the latest version of
freebsd-utils, which is due to be installed in the Debian FTP archive:

freebsd-net-tools-udeb_8.2-1_kfreebsd-amd64.udeb
  to main/f/freebsd-utils/freebsd-net-tools-udeb_8.2-1_kfreebsd-amd64.udeb
freebsd-net-tools_8.2-1_kfreebsd-amd64.deb
  to main/f/freebsd-utils/freebsd-net-tools_8.2-1_kfreebsd-amd64.deb
freebsd-utils-udeb_8.2-1_kfreebsd-amd64.udeb
  to main/f/freebsd-utils/freebsd-utils-udeb_8.2-1_kfreebsd-amd64.udeb
freebsd-utils_8.2-1.debian.tar.gz
  to main/f/freebsd-utils/freebsd-utils_8.2-1.debian.tar.gz
freebsd-utils_8.2-1.dsc
  to main/f/freebsd-utils/freebsd-utils_8.2-1.dsc
freebsd-utils_8.2-1_kfreebsd-amd64.deb
  to main/f/freebsd-utils/freebsd-utils_8.2-1_kfreebsd-amd64.deb
freebsd-utils_8.2.orig.tar.gz
  to main/f/freebsd-utils/freebsd-utils_8.2.orig.tar.gz
kbdcontrol_8.2-1_kfreebsd-amd64.deb
  to main/f/freebsd-utils/kbdcontrol_8.2-1_kfreebsd-amd64.deb
kldutils-udeb_8.2-1_kfreebsd-amd64.udeb
  to main/f/freebsd-utils/kldutils-udeb_8.2-1_kfreebsd-amd64.udeb
kldutils_8.2-1_kfreebsd-amd64.deb
  to main/f/freebsd-utils/kldutils_8.2-1_kfreebsd-amd64.deb
vidcontrol_8.2-1_kfreebsd-amd64.deb
  to main/f/freebsd-utils/vidcontrol_8.2-1_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 595040@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated freebsd-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 07 Jun 2011 08:00:15 +0200
Source: freebsd-utils
Binary: freebsd-utils freebsd-utils-udeb kldutils kldutils-udeb kbdcontrol vidcontrol freebsd-net-tools freebsd-net-tools-udeb
Architecture: source kfreebsd-amd64
Version: 8.2-1
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 freebsd-net-tools - FreeBSD networking tools
 freebsd-net-tools-udeb - FreeBSD networking tools (udeb)
 freebsd-utils - FreeBSD utilities needed for GNU/kFreeBSD
 freebsd-utils-udeb - FreeBSD utilities needed for GNU/kFreeBSD (udeb)
 kbdcontrol - command-line tool to change keyboard layout on GNU/kFreeBSD
 kldutils   - tools for managing kFreeBSD modules
 kldutils-udeb - tools for managing kFreeBSD modules (udeb)
 vidcontrol - command-line tool to control the system console on GNU/kFreeBSD
Closes: 595040 605723 609574 627129
Changes: 
 freebsd-utils (8.2-1) unstable; urgency=low
 .
   [ Petr Salinger ]
   * Based on FreeBSD 8.2.
 .
   [ Mats Erik Andersson ]
   * Add IPv6 support into route wrapper. Closes: #605723.
   * Update mount wrapper for remount requests. Closes: #609574.
 .
   [ Robert Millan ]
   * Require kfreebsd-kernel-headers >= 0.54.
   * Add mkuzip.
   * Set freebsd-net-tools-udeb to kfreebsd-any.
   * Remove dependency on ufsutils. (Closes: #595040)
 .
   [ Tuco Xyz ]
   * Add dumpon and savecore.
 .
   [ Guillem Jover ]
   * Translate mount -f (--fake) to -d in the wrapper.
   * Now using Standards-Version 3.9.2 (no changes needed).
   * Move local headers to debian/local/include/.
   * Move local scripts and devfs.d directories to debian/local/.
   * Switch to source format “3.0 (quilt)”.
     - Remove quilt from Build-Depends.
     - Remove patch target in debian/rules.
     - Remove now unneeded README.source.
     - Refresh all patches.
   * Link camcontrol, mdconfig and dmesg directly to libbsd. Closes: #627129
   * Refactor source and tar name into SOURCE and TARNAME in debian/rules.
   * Line-wrap PMAKE variable in debian/rules.
   * Intersperse Build-Depends description comments between the actual
     dependencies.
   * Remove skeleton comment from init scripts.
Checksums-Sha1: 
 bf7e06373e24f5334be8a76beb06f4d27d37cb00 1674 freebsd-utils_8.2-1.dsc
 4284551c3f303a55f5b774b35b3bc9eaf9837365 1539945 freebsd-utils_8.2.orig.tar.gz
 e888a832f900e66cb3ca3b9f924a8ba872415d26 75935 freebsd-utils_8.2-1.debian.tar.gz
 dbb7afa7553e600880b3be0e2de2df278830608a 286946 freebsd-utils_8.2-1_kfreebsd-amd64.deb
 e9a4114d0a4d59fc4d55999eef07db7042d8f73d 39992 freebsd-utils-udeb_8.2-1_kfreebsd-amd64.udeb
 b2d63dcbc2ad95291e59ce5ecc1a2005375508be 35994 kldutils_8.2-1_kfreebsd-amd64.deb
 bb62a095e07e53e1885e43a54804471d11fa5928 7432 kldutils-udeb_8.2-1_kfreebsd-amd64.udeb
 8b5f467ba7022b2043f506471fe788bf794f5843 108740 kbdcontrol_8.2-1_kfreebsd-amd64.deb
 c4459331daa2d48874697315939b89e3ecd9105b 99972 vidcontrol_8.2-1_kfreebsd-amd64.deb
 a89f0fd88d168bb51cdeeb649016fc6107ee3635 347824 freebsd-net-tools_8.2-1_kfreebsd-amd64.deb
 73a44e7506be7e9e2dc5a6a78ad2f468f6f8e3d5 41458 freebsd-net-tools-udeb_8.2-1_kfreebsd-amd64.udeb
Checksums-Sha256: 
 60d6e34a3cfd2a3828a295b7d06a8aba4cb234d9d395c077ee7c636c94c4c8a7 1674 freebsd-utils_8.2-1.dsc
 ff006ea9b9387c647d0e92b87515fb5fe660b7fa63954a47642c7e4e45183b2a 1539945 freebsd-utils_8.2.orig.tar.gz
 d663ea931bd2d34bb188a3b22525d0ec3f6d6ca7664766b775eb78d087632e7d 75935 freebsd-utils_8.2-1.debian.tar.gz
 f5309120dcb8cac5c9535c38f05dc3bf16d7c4f4405f696afdecbb5a569f3fe2 286946 freebsd-utils_8.2-1_kfreebsd-amd64.deb
 ed5d848bc5c98e01b6694677b7145c1e144da07908146d60e2dbab3713acfe8a 39992 freebsd-utils-udeb_8.2-1_kfreebsd-amd64.udeb
 33cb9d8aa7023a470cfc3cc2fe6e8da40f8079c20d66b2d228259d06f420489c 35994 kldutils_8.2-1_kfreebsd-amd64.deb
 6e98fe6854c87a249484fa0485be9adca65e6b128a1314102a213723db2693d6 7432 kldutils-udeb_8.2-1_kfreebsd-amd64.udeb
 5e7c758b339239f1b224204a846f82f451a7971893d5b273af2243a146e3a5ad 108740 kbdcontrol_8.2-1_kfreebsd-amd64.deb
 0f8fa66bdef6ca4289023b7cafc958757c7a7727fe9c1460afd603fd40656e43 99972 vidcontrol_8.2-1_kfreebsd-amd64.deb
 8d5cf98d49bce92bb458520cde3a0ab2714ab7c848e94c08c041aa2641d5774f 347824 freebsd-net-tools_8.2-1_kfreebsd-amd64.deb
 53c0165eef25d3a9d82ae2db3c5fbb69957989fe96c941419be0175b3a20813c 41458 freebsd-net-tools-udeb_8.2-1_kfreebsd-amd64.udeb
Files: 
 f09d74442ba10c4b85bdd66d7d20e9fe 1674 utils important freebsd-utils_8.2-1.dsc
 74dd231ec18ec2f535c4b16fde4ea034 1539945 utils important freebsd-utils_8.2.orig.tar.gz
 4e6a622610684fb9982f7da60c2520b1 75935 utils important freebsd-utils_8.2-1.debian.tar.gz
 5796f8fc3fe22e7a8403d4254856fdc0 286946 utils required freebsd-utils_8.2-1_kfreebsd-amd64.deb
 a5fe207122647f66be9eb0e8daaaec90 39992 debian-installer optional freebsd-utils-udeb_8.2-1_kfreebsd-amd64.udeb
 430ed7bf21c5acfc62ab100c4c705684 35994 utils important kldutils_8.2-1_kfreebsd-amd64.deb
 a57d072c009d59673d9ed0b1168c6ae3 7432 debian-installer optional kldutils-udeb_8.2-1_kfreebsd-amd64.udeb
 e56ded55aa2d9c2ee6f31bb2148b9334 108740 utils important kbdcontrol_8.2-1_kfreebsd-amd64.deb
 82e781e68e03182e084a928f56e0a1b0 99972 utils important vidcontrol_8.2-1_kfreebsd-amd64.deb
 b74e54a6373ba4234bc6d3917cf4042c 347824 net important freebsd-net-tools_8.2-1_kfreebsd-amd64.deb
 ed08e35962b672556814c266ec91b465 41458 debian-installer important freebsd-net-tools-udeb_8.2-1_kfreebsd-amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk3twKwACgkQuW9ciZ2SjJuU6gCfe+9+AuK6c1C5XQPcBitaoZUT
4pkAoPBNSriA0duTr9kRjM48D5FrdNSC
=jBHO
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 21 Jul 2011 07:34:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:34:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.